<template>
  <div class="form">
    <form @submit.prevent>
      <h4>Создание поста:</h4>
      <my-input
        class="btn"
        v-model="post.title"
        type="text" 
        placeholder="Название"
      />
      <my-input
        class="btn"
        v-model="post.body"
        type="text" 
        placeholder="Описание"
      />
      <div class="wrap-btn">
        <my-button 
          @click="createPost"
        >
          Создать
        </my-button>
      </div>
    </form>
  </div>
</template>


<script>
export default {
 data() {
  return {
      post: {
        title: '',
        body: '',
      }
    }
 },
 methods: {
  createPost() {
      this.post.id = Date.now();
      this.$emit('create', this.post);
      this.post = {
        title: '',
        body: '',
      }
    }
  },
}
</script>


<style scoped>
.wrap-btn {
  text-align: end;
}

input {
  width: 100%;
  padding: 10px 15px;
  margin-top: 10px;
}
</style>